/**
 * 
 */
package com.fp.alfresco.util;

import java.text.MessageFormat;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * Clase utilitaria que sirve para manipular archivo de propiedades
 * @author bpt
 *
 */
public class ApiProperties {
    private static final String BUNDLE_NAME = "alfresco-api";

    private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle.getBundle(BUNDLE_NAME);

    /**
     * Devuelve le valor de una propiedad por medio de su clave
     * @param key clave enviada para recuperar su valor
     * @return
     */
    public static String getProperty(String key) {
	try {
	    return RESOURCE_BUNDLE.getString(key);
	} catch (MissingResourceException e) {
	    return "Archivo:"+BUNDLE_NAME+" no encontrado";
	} catch (Throwable e) {
	    return null;
	}
    }

    /**
     * Se obtiene el valor de una propiedad en base la clave y los par&aacute;metros enviados
     * @param pKey clave
     * @param pParameters array de par&aacute;tros enviados
     * @return
     */
    public static String getProperty(String pKey, Object... pParameters) {
	try {
	    String msg = null;
	    try{
		msg = RESOURCE_BUNDLE.getString(pKey);
	    }catch(Exception e){
	    	msg = null;
	    }
	    if(msg == null){
		msg = pKey;
	    }
	    return MessageFormat.format(msg, pParameters);
	} catch (Throwable e) {
	    return null;
	}
    }
}